Skip to main content
GET
Get plugin by tag

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

tag
string
required

Unique identifier for the plugin

Query Parameters

includeBlob
boolean
default:false

When true, returns the plugin blob. Defaults to false.

Response

Metadata of the plugin

contexts
object[]
required

Which contexts the plugin should execute/show up in, e.g. { "type": "GLOBAL" }

Which contexts the plugin should execute/show up in, e.g. { "type": "GLOBAL" }

isDraft
boolean
required

Whether the plugin is generally available or not

lastUpdated
string
required

When the plugin was last updated

minimumRoleRequired
string
required

The minimum role required to view the plugin, e.g. VIEWER, USER, MANAGER, OWNER, or the tag for a custom role. Learn more about each permission in our docs.

name
string
required

Display name of the plugin

tag
string
required

Unique identifier for the plugin

blob
string

The raw source code of the plugin; only returned if the blob is updated as part of the request.

createdBy
object

The creator of the plugin. Null if created via API.

description
string

Description of the plugin

iconTag
string

Icon tag for the plugin

proxyTag
string

The identifier of the proxy to use for requests from this plugin

version
string

The version of the plugin

Last modified on September 24, 2026